Skip to main content
DELETE
/
campaigns
/
{campaign_id}
curl -X DELETE https://api.thinnest.ai/campaigns/{campaign_id} \
  -H "Authorization: Bearer $THINNESTAI_API_KEY"
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
curl -X DELETE https://api.thinnest.ai/campaigns/{campaign_id} \
  -H "Authorization: Bearer $THINNESTAI_API_KEY"

Path Parameters

campaign_id
string
required
Campaign ID

Response 204

No content. The campaign and all associated data have been permanently deleted.

Errors

CodeDescription
401Missing or invalid authentication
403Campaign is currently running — pause it first
404Campaign not found

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign_id
integer
required

Response

Successful Response